Bug 89768 - [chromium] Correctly reject accelerated animations with certain rotations.
Summary: [chromium] Correctly reject accelerated animations with certain rotations.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: vollick
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-22 10:35 PDT by vollick
Modified: 2012-07-04 05:58 PDT (History)
3 users (show)

See Also:


Attachments
Patch (6.57 KB, patch)
2012-06-22 10:38 PDT, vollick
no flags Details | Formatted Diff | Diff
Patch (6.57 KB, patch)
2012-06-22 10:49 PDT, vollick
no flags Details | Formatted Diff | Diff
Patch (9.95 KB, patch)
2012-06-22 12:29 PDT, vollick
no flags Details | Formatted Diff | Diff
Patch (9.96 KB, patch)
2012-06-22 12:31 PDT, vollick
no flags Details | Formatted Diff | Diff
Patch (9.95 KB, patch)
2012-06-22 12:38 PDT, vollick
no flags Details | Formatted Diff | Diff
Patch for landing (10.04 KB, patch)
2012-07-03 10:50 PDT, vollick
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description vollick 2012-06-22 10:35:27 PDT
We cannot currently accelerate rotations that are >= 180 because of the way that we handle blending. The code that currently handles this is not in the right spot, nor is it quite suited to our needs.
Comment 1 vollick 2012-06-22 10:38:23 PDT
Created attachment 149052 [details]
Patch
Comment 2 WebKit Review Bot 2012-06-22 10:40:57 PDT
Attachment 149052 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/ChangeLog', u'Source/WebCor..." exit_code: 1
Source/WebCore/platform/graphics/chromium/AnimationTranslationUtil.cpp:170:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Total errors found: 1 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 vollick 2012-06-22 10:49:18 PDT
Created attachment 149059 [details]
Patch

Make the style bot happy.
Comment 4 James Robinson 2012-06-22 11:50:17 PDT
Comment on attachment 149059 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=149059&action=review

> Source/WebCore/ChangeLog:8
> +        No new tests. Functionality covered by existing tests.

which tests?
Comment 5 vollick 2012-06-22 12:29:43 PDT
Created attachment 149083 [details]
Patch

There was a test for large rotations, but added new tests for cases the old code
did not deal with.
Comment 6 vollick 2012-06-22 12:31:20 PDT
Created attachment 149084 [details]
Patch

Sorry for the spam. Last patch was a dud.
Comment 7 Dana Jansens 2012-06-22 12:32:46 PDT
Comment on attachment 149084 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=149084&action=review

> Source/WebCore/platform/graphics/chromium/AnimationTranslationUtil.cpp:140
> +bool causesRotationOfMoreThan180Degrees(const TransformAnimationValue* value, const TransformAnimationValue* lastValue)

bikeshed: AtLeast180Degrees?
Comment 8 vollick 2012-06-22 12:38:16 PDT
Created attachment 149085 [details]
Patch

> bikeshed: AtLeast180Degrees?
SG. Done.
Comment 9 vollick 2012-07-03 10:50:51 PDT
Created attachment 150642 [details]
Patch for landing
Comment 10 WebKit Review Bot 2012-07-03 12:17:58 PDT
Comment on attachment 150642 [details]
Patch for landing

Rejecting attachment 150642 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 1

Last 500 characters of output:
hanize/_urllib2_fork.py", line 332, in _call_chain
    result = func(*args)
  File "/mnt/git/webkit-commit-queue/Tools/Scripts/webkitpy/thirdparty/autoinstalled/mechanize/_urllib2_fork.py", line 1170, in https_open
    return self.do_open(conn_factory, req)
  File "/mnt/git/webkit-commit-queue/Tools/Scripts/webkitpy/thirdparty/autoinstalled/mechanize/_urllib2_fork.py", line 1118, in do_open
    raise URLError(err)
urllib2.URLError: <urlopen error [Errno -3] Temporary failure in name resolution>

Full output: http://queues.webkit.org/results/13127575
Comment 11 WebKit Review Bot 2012-07-04 05:58:17 PDT
Comment on attachment 150642 [details]
Patch for landing

Clearing flags on attachment: 150642

Committed r121844: <http://trac.webkit.org/changeset/121844>
Comment 12 WebKit Review Bot 2012-07-04 05:58:22 PDT
All reviewed patches have been landed.  Closing bug.